@font-face {
  font-family: "Press Start 2P";
  src: url(PressStart2P-Regular.ttf) format("truetype");
}

:root {
  font-family: "Press Start 2P", monospace;
  line-height: 1.8;
  font-weight: 400;

  color-scheme: light dark;
  color: var(--secondary);
  background-color: #2e231f;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  --accent: hsl(153, 100%, 50%);
  --secondary: hsl(183, 100%, 50%);
  --secondary-light: hsl(183, 100%, 80%);
}

body,
h1,
h2 {
  font-size: 1rem;
  margin: 0;
}

h1 {
  display: inline;
}

a {
  font-weight: 500;
  color: var(--secondary-light);
  text-decoration: none;
}
a:hover {
  color: var(--secondary);
  text-decoration: underline;
}

html {
  font-size: 8px;
}

body {
  margin: 0;
  display: flex;
  align-items: baseline;
  box-sizing: border-box;
  min-width: 360px;
  width: 100%;
  min-height: 100vh;
  padding: 3rem 2rem;
  background-color: #182425;
}

.uppercase {
  text-transform: uppercase;
}

@media only screen and (min-width: 760px) {
  html {
    font-size: 10px;
  }
}

@media only screen and (min-width: 1080px) {
  html {
    font-size: 12px;
  }
}

.overflow-hidden {
  overflow: hidden;
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

.flex-col {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.flex-row {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.25rem;
}

.noise {
  position: absolute;
  pointer-events: none;
  top: 0;
  left: 0;
  opacity: 0.02;
  background: url(./whitenoise.gif);
  z-index: 4;
  height: 100%;
  width: 100%;
  background-repeat: repeat;
  background-position: center;
}

.line::before,
.input::before {
  content: "user:~$";
  color: var(--accent);
  padding-right: 1rem;
}

.cursor {
  display: inline-block;
  width: 0.75rem;
  height: 1.1rem;
  background-color: #525252;
  animation: blink 1s infinite;
}

#command-value {
  word-break: break-all;
}

.break-all {
  word-break: break-all;
}

.break-spaces {
  white-space: break-spaces;
}

.break-none {
  white-space: pre;
}

.tab-4 {
  tab-size: 4;
}

.stripes {
  top: 0;
  left: 0;
  pointer-events: none;
  position: fixed;
  width: 100vw;
  height: 100vh;
  background: repeating-linear-gradient(
    180deg,
    rgba(46, 35, 31, 0) 0,
    rgba(30, 23, 21, 0.3) 50%,
    rgba(46, 35, 31, 0) 100%
  );
  background-size: auto 4px;
  z-index: 1;
}

#terminal {
  max-width: 100%;
}

@keyframes blink {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
